Subject: Ticket Assigned - Product information
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Mon, 01 Feb 2021 03:58:44 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Product information Hi. I have a mothercare journey travel system pram. I also have a graco car seat with isofix base. Is there any adaptor that will allow the two items to be used together? It seems crazy that the car seat that goes with the pram cant be used with  other isofix base for the car. 

Any help would be welcomed. 

As choose the pram as great feedback but this seems to be down side. 

Graco SnugRide i-Size Infant Car Seat including Isofix base is what I have https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2041592